﻿@using Microsoft.AspNetCore.Mvc.Localization
@model AEWeb.ViewModels.TestKPIs.TestKPIsViewModel
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
}

<style type="text/css">
    .testsuccess {
        background-color: none;
    }

    .testerror {
        background-color: lightsalmon;
    }
</style>

<h1>@Localizer["TestTitle"]</h1>

<p>
    Number of KPIs tested: @Model.Results.Count <br />
    Number of errors: @Model.NumberOfErrors() <br />
</p>

@foreach (var item in Model.Results)
{
    <div class='@(item.Success ? "testsuccess" : "testerror")'>
        <p>
            <b>ID: @item.KPIID</b> <br />
            Name: @item.KPIName <br />
            Description: @item.Description <br />
            Dimension: @item.Dimension<br />
            Group Type: @item.GroupType<br />
            Period Type: @item.PeriodType<br />

            @foreach (var param in item.Parameters)
            {
                <text>
                    SP Parameter - Name: @param.Name, Value: @param.Value<br />
                </text>
            }

            @foreach (var filter in item.Filters)
            {
                <text>
                    SP Filter - Type: @filter.Type, Value: @filter.Value<br />
                </text>
            }

            @foreach (var results in item.TestResults)
            {
                @if (results.GroupName != "")
                {
                    <text>
                        Group Name:  @results.GroupName <br />
                    </text>
                }
                @foreach (var line in results.ResultLine)
                {
                    <text>
                        @line <br />
                    </text>
                }
            }

            @if (!item.Success)
            {
                <text>
                    Error: @item.Error <br />
                </text>
            }
        </p>
    </div>
}
